package com.eversec.dbq.stattask;

import com.eversec.dbq.E;
import com.eversec.dbq.QRuner;

public abstract class StatTaskAbs implements StatTask{

    //private QTask qTask;
    private E e;

    public StatTaskAbs(E e) {
        //this.qTask = qTask;
        this.e = e;
    }

    @Override
    public E getE() {
        return e;
    }

    @Override
    public Object query() {
        return new QRuner(e).query();
    }
}
